#!/bin/bash

Hostname="${HOSTNAME:-QuakeLive}"
GamePort="${GAME_PORT:-27960}"
RconPort="${RCON_PORT:-28960}"
Password="${PASSWORD:-}"
RconPassword="${RCON_PASSWORD:-}"
StatsPassword="${STATS_PASSWORD:-}"

steamcmd +login anonymous +force_install_dir /game +app_update 349090 validate +exit

/game/run_server_x64.sh \
+set net_strict 1 \
+set net_port "${GamePort}" \
+set sv_hostname "${Hostname}" \
+set sv_tags "${Hostname}" \
+set sv_servertype 2 \
+set sv_master 1 \
+set g_password "${Password}" \
+set zmq_rcon_enable 1 \
+set zmq_rcon_password "${RconPassword}" \
+set zmq_rcon_port "${RconPort}" \
+set zmq_stats_enable 1 \
+set zmq_stats_password "${StatsPassword}" \
+set zmq_stats_port "${GamePort}" \
+set sv_vac 0